<template>
    <div>
        <table class="table table-hover" v-if="projects && projects.length>0">
            <thead>
                <tr>
                    <th>N° de contrat</th>
                    <th>Date</th>
                    <th>Montant HT</th>
                    <th>Montant TTC</th>
                    <th>TVA</th>
                    <th>Délai paiement</th>
                    <th>Projet</th>
                    <th>Contact</th>
                    <th>Statut payement</th>
                    <th v-if="(canEdit && isFacture) || editable">Actions</th>
                </tr>
            </thead>
            <tbody>
                <tr v-for="(project,index) in projects">
                    <td>{{project.facture.numContrat}}</td>
                    <td>{{project.facture.date |formatdate}}</td>
                    <td>{{project.facture.ht}}</td>
                    <td>{{project.facture.ttc}}</td>
                    <td>{{project.facture.tva}}</td>
                    <td>{{project.facture.delay}}</td>
                    <td>{{project.facture.project}}</td>
                    <td v-if="project.facture.client">{{project.facture.client.firstname}} {{project.facture.client.lastname}}</td>
                    <td>{{project.facture.status}}</td>
                    <td v-if="(canEdit && isFacture) || editable">
                        <button class="btn btn-primary  but" v-if="!editable" v-on:click="validate(project)">Valider</button>
                        <button class="btn btn-danger  but" v-if="!editable" v-on:click="remove(project)">Refuser</button>
                        <button class="btn btn-primary  but" v-if="editable" v-on:click="edit(project)">Modifier</button>
                    </td>
                </tr>
    
            </tbody>
        </table>
        <h2 v-else> Rien a afficher</h2>
    </div>
</template>

<script>
export default {
    props: ['projects',"canEdit","isFacture","editable"],
    methods: {
        validate(project) {
            this.$emit('validate', project);
        },
        remove(project) {
            this.$emit('remove', project)
        },
        edit(project) {
            this.$emit('edit', project)
        }
    }
}
</script>

<style>

</style>
